//
//  MPPositive_MusicModel.swift
//  MusicPlayer
//
//  Created by Mr.Zhou on 2024/4/24.
//

import UIKit
///b面预览个体模型
class MPPositive_BrowseItemModel: NSObject {
    ///预览图片
    var coverUrls:[String]!
    ///一级标题
    var title:String!
    ///二级标题
    var subtitle:String!
    ///音视频ID
    var videoId:String?
    ///音视频所在列表ID
    var playListId:String?
    ///列表专辑预览ID
    var browseId:String?
    ///列表专辑预览参数
    var params:String?
    ///艺术家Id
    var artistId:String?
    ///页面类型
    var pageType:String?
    ///是单曲/视频OR列表/歌单
    var itemType:BrowseItemType!
}
///预览个体类型
enum BrowseItemType: Int{
    ///单曲/视频
    case single = 0
    ///列表/列表
    case list = 1
    ///艺术家
    case artist = 2
    ///文本
    var text:String{
        switch self {
        case .single:
            return "single/video"
        case .list:
            return "list/ablum"
        case .artist:
            return "artist"
        }
    }
}
